Bug 1283926 (CVE-2015-8619)

Summary: CVE-2015-8619 Qemu: hmp: stack based OOB write in hmp_sendkey routine
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: abaron, apevec, areis, ayoung, chrisw, dallan, gkotton, jen, jschluet, knoel, lhh, lpeer, markmc, mkenneth, mrezanin, mst, pbonzini, ppandit, rbryant, sclewis, security-response-team, slong, srevivo, tdecacqu
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20151217,reported=20151120,source=researcher,cvss2=2.9/AV:A/AC:M/Au:N/C:N/I:N/A:P,cwe=CWE-121,rhel-5/kvm=notaffected,rhel-6/qemu-kvm=notaffected,rhel-7/qemu-kvm=notaffected,openstack-5/qemu-kvm-rhev=notaffected,openstack-6/qemu-kvm-rhev=notaffected,openstack-7/qemu-kvm-rhev=wontfix,fedora-all/qemu=affected,epel-all/qemu=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
An out-of-bounds write vulnerability has been found in the QEMU emulator built with Human Monitor Interface(HMP) support. The issue occurs when the 'sendkey' command (in hmp_sendkey) is processed with a 'keyname_len' that is greater than the 'keyname_buf' array size. A user or process could exploit this flaw to crash the QEMU process instance (denial of service).
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:45:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1292758, 1292757    
Bug Blocks: 1283937    

Description Adam Mariš 2015-11-20 10:05:05 UTC
Qemu emulator built with the Human Monitor Interface(HMP) support is vulnerable to an OOB write issue. It occurs while processing 'sendkey' command in hmp_sendkey routine, if the command argument is longer than the 'keyname_buf' buffer size.

A user/process could use this flaw to crash the Qemu process instance resulting in DoS.

Upstream fix:
-------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-01/msg02160.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2015/12/23/1

Comment 2 Adam Mariš 2015-11-20 10:41:03 UTC
Acknowledgments:

Red Hat would like to thank Ling Liu of Qihoo 360 Inc. for reporting this issue.

Comment 3 Prasad J Pandit 2015-12-18 09:49:20 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1292757]
Affects: epel-all [bug 1292758]

Comment 4 Prasad J Pandit 2015-12-18 09:50:27 UTC
Statement: 

This issue does not affect the versions of the kvm and xen packages as shipped with Red Hat Enterprise Linux 5.

This issue does not affect the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 6, and the Red Hat Enterprise Linux 6 based versions of qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

This issue does not affect the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 7.

This issue affects the Red Hat Enterprise Linux 7 based versions of the qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

This has been rated as having Low security impact and is not currently
planned to be addressed in future updates. For additional information, refer
to the Red Hat Enterprise Linux Life Cycle:
https://access.redhat.com/support/policy/updates/errata/.

Comment 5 Fedora Update System 2016-02-21 12:58:26 UTC
qemu-2.4.1-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-02-21 16:19:04 UTC
qemu-2.4.1-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-02-21 16:25:04 UTC
qemu-2.4.1-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-02-25 08:51:26 UTC
qemu-2.3.1-12.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.